var baseUrl = 'https://oh.01hour.com';
//ajax请求
var ajaxFun = {
    //获取后端数据
    post: function(params, callback) {
        api.ajax({
            url: baseUrl + params.url,
            method: 'post',
            data: params.data,
        }, function(ret, err) {
            callback(ret, err);
        });
    },
    get: function(params, callback) {
        api.ajax({
            url: baseUrl + params.url,
            method: 'get',
            data: params.data
        }, function(ret, err) {
            callback(ret, err);
        });
    }
};
//前端数据渲染
var makeData = {
    make: function(dom, data) {
        var scriptId = dom + "Tmpl";
        var interText = doT.template($("#" + scriptId).text());
        $("#" + dom).html(interText(data));
    }
};
//各种api
var apiFun = {
    //各种打开，关闭页面
    openWin: function(name, params) {
        var delay = 0;
        if (api.systemType != 'ios') {
            delay = 300;
        }
        api.openWin({
            name: name,
            url: name + '_win.html',
            bounces: false,
            slidBackEnabled: true,
            vScrollBarEnabled: false,
            pageParam: params
        });
        apiFun.sendEvent('stopVideo', {
            'stopVideo': true
        })
    },
    openWinMain: function(name, params) {
        var delay = 0;
        if (api.systemType != 'ios') {
            delay = 300;
        }
        api.openWin({
            name: name,
            url: '../' + name + '_win.html',
            bounces: false,
            slidBackEnabled: true,
            vScrollBarEnabled: false,
            pageParam: params
        });
        apiFun.sendEvent('stopVideo', {
            'stopVideo': true
        })
    },
    openLogin: function(type) {
        var delay = 0;
        if (api.systemType != 'ios') {
            delay = 300;
        }
        api.openWin({
            name: 'login',
            url: 'widget://html/loginFrame/login.html',
            bounces: false,
            slidBackEnabled: true,
            vScrollBarEnabled: false,
            pageParam: type
        });
    },
    closeWin: function() {
        api.closeWin();
    },
    closeToWin: function(name) {
        api.closeToWin({
            name: name
        });
    },
    //偏好值设置
    get: function(keyName) {
        var data = api.getPrefs({
            key: keyName,
            sync: true
        });
        if (data == '') {
            return null;
        }
        return data;
    },
    set: function(keyName, valueName) {
        api.setPrefs({
            key: keyName,
            value: valueName
        });
        return true;
    },
    remove: function(keyName) {
        api.removePrefs({
            key: keyName
        });
    },
    //发送通知，接收,移除监听
    sendEvent: function(name, key) {
        api.sendEvent({
            name: name,
            extra: key
        });
    },
    addListener: function(name, callback) {
        api.addEventListener({
            name: name
        }, function(ret, err) {
            callback(ret, err);
        });
    },
    removeListener: function(name) {
        api.removeEventListener({
            name: name
        });
    },
    //toast弹窗
    showToast: function(type, text, time) {
        toast.hide();
        switch (type) {
            case "success":
                toast.success({
                    title: text,
                    duration: time
                });
                break;
            case "fail":
                toast.fail({
                    title: text,
                    duration: time
                });
                break;
            case "loading":
                toast.loading({
                    title: text,
                    duration: time
                });
                break;
            default:
                break;
        }
    },
    //dialog弹窗
    openDialog: function(title, content) {
        dialog.alert({
            title: title,
            msg: content,
            buttons: ['取消', '确定']
        }, function(ret) {
            if (ret.buttonIndex == 1) {
                return false;
            }else {
                apiFun.openLogin();
            }
        })
    }
};
//检测登录
var checkLogin = {
    check: function() {
        if(apiFun.get('openId')){
            return apiFun.get('openId');
            // return 'oIgN7uBRBXJ5zJLTBEdlKk3EYm6A';
        } else {
            apiFun.openDialog('登录提示','是否跳转到登录页面?');
        }
    }
};
